Bug 1183994 - RFE: Gather and display metrics detailing the number of words translated by a specific translator, for a specific project
RFE: Gather and display metrics detailing the number of words translated by a...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-API (Show other bugs)
development
Unspecified Unspecified
high Severity high
: ---
: 3.7
Assigned To: Patrick Huang
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-20 06:51 EST by Isaac Rooskov
Modified: 2015-08-06 01:55 EDT (History)
7 users (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3057)
Doc Type: Bug Fix
Doc Text:
Story Points: 5
Clone Of:
Environment:
Last Closed: 2015-07-21 22:19:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Isaac Rooskov 2015-01-20 06:51:38 EST
Gather and display metrics detailing the number of words translated by a specific translator, for a specific project


What is needed, is the ability to track the work performed by a specific translator within Zanata - per project. As numerious translators could be working on the same language, it is important to have this information per translator rather than per language (currently we only have per language). 

This information should be viewable within the Zanata GUI and not just via a terminal command.
Comment 1 Carlos Munoz 2015-01-20 19:56:50 EST
I would add a time period filter to the screen as well.
Comment 2 David Mason 2015-01-21 23:24:29 EST
Implementation details discussed in developer meeting:

 - Stats are shown on (new) user profile page.
    - Profile page also has username, display name and gravatar picture.
 - Profile page has a consistent URL.
 - Profile page is accessed by entering username into the project-search box
    -  Search results that appear below the box while typing will have an icon
       to indicate whether the result is a project or a user.
 - Stats are per-user across all projects that they have worked on
 - Stats are for a time-period that can be specified
   - a button exists to show stats for each of these time ranges:
     - yesterday
     - the last week (7 days, the last of which is yesterday)
     - the last 30 days (30 days, the last of which is yesterday)
   - a way to specify a custom range of dates.
 - All stats time periods use the server timezone. A day starts at midnight in
   the server timezone.
 - Stats are for work on Zanata web app. There is no requirement to show stats
   for uploaded translations.
 - Stats will increase when a user saves as fuzzy, saves as translated and
   marks as reviewed.
 - Stats count all activity. e.g.:
    - A 10-word string saved as fuzzy will add 10 words to the fuzzy stat
    - 3 subsequent saves as fuzzy on the same 10-word string will add 30 words
      to the fuzzy stat.
 - Stats display: Stacked bar graph (horizontal), with or without smoothing (a number for each day for each state that we are tracking, added up at midnight).
Comment 3 Patrick Huang 2015-02-16 18:53:22 EST
https://github.com/zanata/zanata-server/pull/694
Comment 4 Patrick Huang 2015-03-03 01:02:48 EST
The date range is not limited to yesterday anymore as we will not use any batch job to do caching. The options are limited to "this week", last week, this month and last month.
Comment 5 Damian Jansen 2015-03-24 00:29:31 EDT
Verified (master) at e78c4976616498dc57a2b1684388121ab53aa39f

Note You need to log in before you can comment on or make changes to this bug.